%global _empty_manifest_terminate_build 0
Name:		python-flask-restx
Version:	0.2.0
Release:	1
Summary:	Fully featured framework for fast, easy and documented API development with Flask
License:	BSD-3-Clause
URL:		https://github.com/python-restx/flask-restx
Source0:	https://files.pythonhosted.org/packages/5f/6e/f71db883f6228e09e7e8c7bf5f1068c0a853db992bcaebd105005b70c959/flask-restx-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-aniso8601
Requires:	python3-jsonschem
Requires:	python3-Flask
Requires:	python3-werkzeu
Requires:	python3-pyt
Requires:	python3-six

%description
Fully featured framework for fast, easy and documented API development with Flask.

%package -n python3-flask-restx
Summary:	Fully featured framework for fast, easy and documented API development with Flask
Provides:	python-flask-restx
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-flask-restx
Fully featured framework for fast, easy and documented API development with Flask.

%package help
Summary:	Development documents and examples for flask-restx
Provides:	python3-flask-restx-doc
%description help
Development documents and examples for flask-restx

%prep
%autosetup -n flask-restx-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flask-restx -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Mon Jun 22 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
